Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_put

## Name

librdf_hash_put -- Insert key/value pairs into the hash according to flags

## Synopsis

``int `librdf_hash_put`` (librdf_hash* `hash`, librdf_hash_datum * `key`, librdf_hash_datum * `value`);`

## Arguments

`hash`

  hash object

`key`

  key

`value`

  value

## Description

The key and values are copied into the hash; the original pointers can be deleted.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_get_del | Up | librdf_hash_exists